<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="viewModel"
            type="com.vessel.app.goalsselection.GoalsSelectViewModel" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/parentContainer"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/linen">

        <include
            android:id="@+id/toolbar"
            layout="@layout/toolbar_back"
            app:handler="@{viewModel}" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/title"
            style="@style/Title.XL"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/spacing_2xl"
            android:layout_marginTop="@dimen/spacing_2xl"
            android:text="@string/manage_goals"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/toolbar" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/subtitle"
            style="@style/Subtitle"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/spacing_2xl"
            android:layout_marginTop="@dimen/spacing_large"
            android:text="@string/select_goals"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/title" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/goalList"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginTop="@dimen/spacing_normal"
            app:adapterItems="@{viewModel.state.items}"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
            app:layout_constraintBottom_toTopOf="@id/doneButton"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/subtitle"
            app:refreshItems="@{viewModel.state.refreshItems}"
            tools:listitem="@layout/item_goal_setting_select" />

        <com.vessel.app.views.BlackWithoutOverlayAppButtonViewGroup
            android:id="@+id/doneButton"
            style="@style/FooterButton"
            android:layout_marginStart="@dimen/spacing_xl"
            android:layout_marginTop="@dimen/spacing_2xl"
            android:layout_marginEnd="@dimen/spacing_xl"
            android:onClick="@{() -> viewModel.onDoneClicked()}"
            android:text="@{@string/done}"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/goalList"
            tools:background="@color/black" />

        <include
            android:id="@+id/loadingLayout"
            layout="@layout/layout_full_screen_loading_transparent"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:visible="@{viewModel.isLoading}"
            tools:visibility="gone" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
